      SUBROUTINE BNBDY(NPDE,TM,ZL,ZR,AL,AR,BL,BR)                       
      SAVE
      PARAMETER(KMX=96,MMX=46)
      include "blank.h"
      COMMON/SOLVTR/TP(MMX),DA(MMX),SHI(MMX),ATP(MMX),DAZ(MMX),         
     1SHIZ(MMX),ATPZ(MMX),ATPZZ(MMX),BNTR(MMX),CNTR(MMX),BRTR,QQOP(MMX) 
     2,XLOP(MMX),SHA(KMX),SHAZ(KMX),SHII(KMX),DAA(KMX)                  
      DIMENSION AL(NPDE),AR(NPDE),BL(NPDE),BR(NPDE)                     
      FLUXE=0.                                                          
      M=KMX-MMX+1                                                       
      BL(1)=XIOP(M)                                                     
      BR(1)=(BRTR*AR(1)-FLUXE/DA(MMX))*SHA(MMX)                         
      RETURN                                                            
      END                                                               
